#ifndef ATL_dGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,240,280,360,400,440,480,1000,1480,2000
 * N : 25,120,240,280,360,400,440,480,1000,1480,2000
 * NB : 2,8,4,4,8,12,8,24,8,8,56
 */
#define ATL_dGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 2; \
   else if ((n_) < 180) (nb_) = 8; \
   else if ((n_) < 320) (nb_) = 4; \
   else if ((n_) < 380) (nb_) = 8; \
   else if ((n_) < 420) (nb_) = 12; \
   else if ((n_) < 460) (nb_) = 8; \
   else if ((n_) < 740) (nb_) = 24; \
   else if ((n_) < 1740) (nb_) = 8; \
   else (nb_) = 56; \
}


#endif    /* end ifndef ATL_dGetNB_geqrf */
