#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,120,200,240,280,600,920,1000,1040,1080,1240,1320,1400,1560,1880,2520
 * N : 25,120,200,240,280,600,920,1000,1040,1080,1240,1320,1400,1560,1880,2520
 * NB : 4,8,8,24,24,16,16,16,8,72,40,24,48,88,80,144
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 72) (nb_) = 4; \
   else if ((n_) < 220) (nb_) = 8; \
   else if ((n_) < 440) (nb_) = 24; \
   else if ((n_) < 1020) (nb_) = 16; \
   else if ((n_) < 1060) (nb_) = 8; \
   else if ((n_) < 1160) (nb_) = 72; \
   else if ((n_) < 1280) (nb_) = 40; \
   else if ((n_) < 1360) (nb_) = 24; \
   else if ((n_) < 1480) (nb_) = 48; \
   else if ((n_) < 1720) (nb_) = 88; \
   else if ((n_) < 2200) (nb_) = 80; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
